org.apache.olingo.commons.api.edm.provider

## Class CsdlReferentialConstraint

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlReferentialConstraint

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlReferentialConstraint
      extends CsdlAbstractEdmItem
      implements CsdlAnnotatable

  The type Csdl referential constraint.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlReferentialConstraint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getProperty()` Gets property.
    `String` | `getReferencedProperty()` Gets referenced property.
    `CsdlReferentialConstraint` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlReferentialConstraint` | `setProperty(String property)` Sets property.
    `CsdlReferentialConstraint` | `setReferencedProperty(String referencedProperty)` Sets referenced property.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlReferentialConstraint

          public CsdlReferentialConstraint()

  - ### Method Detail

    - #### getProperty

          public String getProperty()

      Gets property.
      Returns:
        the property

    - #### setProperty

          public CsdlReferentialConstraint setProperty(String property)

      Sets property.
      Parameters:
        `property` - the property
      Returns:
        the property

    - #### getReferencedProperty

          public String getReferencedProperty()

      Gets referenced property.
      Returns:
        the referenced property

    - #### setReferencedProperty

          public CsdlReferentialConstraint setReferencedProperty(String referencedProperty)

      Sets referenced property.
      Parameters:
        `referencedProperty` - the referenced property
      Returns:
        the referenced property

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlReferentialConstraint setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.